> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# IDR Auto Offramp



## OpenAPI

````yaml /reference/link-transaction.json post /transactions/v2/idr/direct_withdraw
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/idr/direct_withdraw:
    post:
      tags:
        - IDR Ramp
      summary: IDR Auto Offramp
      operationId: post_idrdirect_withdraw
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              properties:
                bankName:
                  type: string
                  description: >-
                    Full name of the beneficiary bank. Use the "Fetch Payment
                    banks" ENDPOINT to fetch the list of supported payment banks
                    for IDR.
                bankCode:
                  type: string
                  description: >-
                    The bank’s ISO/local code. Use the "Fetch Payment banks"
                    ENDPOINT to fetch the bank code for IDR bank selected.
              type: object
              required:
                - bankName
                - bankCode
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````